## MH Avoidable admissions
##Fractional polynomials
## Peter Martin, May-June 2019

#Data & preparation 
source("MH avoidable data preparation.R")



##################################################
######### Fp with all variables  ########
##################################################



#Avoidable admissions rate for physical problems : non-organic mental health problems
nonorgMHphys_fp_all = mfp(nonorgphyssaar_av1618 ~ RUC11CD456 + north + south + fp(prcnt_nonwhite, df = 4, select = 0.01) + fp(income_ave_score, df = 4, select = 0.01) + fp(employ_ave_score, df = 4, select = 0.01) + fp(educ_ave_score, df = 4, select = 0.01) + fp(barriers_ave_score, df = 4, select = 0.01) + fp(living_ave_score, df = 4, select = 0.01) + fp(crime_ave_score, df = 4, select = 0.01) + fp(o75_prcnt, df = 4, select = 0.01) + fp(qof_hyp, df = 4, select = 0.01) + fp(qof_copd, df = 4, select = 0.01) + fp(qof_dm, df = 4, select = 0.01) +  fp(qof_smi, df = 4, select = 0.01) + fp(qof_dep, df = 4, select = 0.01) + fp(prnct_mhsu_mha, df = 4, select = 0.01) + fp(pcnt_popo18_mhsds, df = 4, select = 0.01) + fp(iapt_firsttx6wks_av1718, df = 4, select = 0.01) + fp(iapt_accessrate1718, df = 4, select = 0.01) + fp(prcnt_gpsinglehand, df = 4, select = 0.01) + fp(gp_p100000, df = 4, select = 0.01) + fp(prcnt_48hrsseegpnurse, df = 4, select = 0.01) + fp(prcnt_noappt, df = 4, select = 0.01) + fp(admission_gp_pcnt, df = 4, select = 0.01) + fp(aeattendrate_av1618, df = 4, select = 0.01)  + fp(mhactualspendccgalloc_1718, df = 4, select = 0.01) + fp(prcnt_mhsu_pop_CPA, df = 4, select = 0.01) + fp(prnct_CPA_employ, df = 4, select = 0.01) + fp(prcnt_acutadmit_crht_av1718, df = 4, select = 0.01) + fp(QOFpc, df = 4, select = 0.01) + fp(nhs111_ambdesp_rate, df = 4, select = 0.01) + fp(nhs111_rec_ae_rate, df = 4, select = 0.01) + fp(f2fresp_nottyp1_2_ave_apr17_mar1, df = 4, select = 0.01) + fp(prcnt_coreccg_aeliaisactual_1718, df = 4, select = 0.01) + fp(prcnt_crhttactualspend_1718, df = 4, select = 0.01) + fp(prcnt_eipactualspend_1718, df = 4, select = 0.01) + fp(prcnt_cpa_7days_av1718, df = 4, select = 0.01), family = gaussian, data = xyfin2)

summary(nonorgMHphys_fp_all)
# no transformation identified (at select = 0.01)


#Comparator group: Not in MHSDS data set, admissions for physical problems

NoMHphys_fp_all = mfp(nomhphyssaar_av1618 ~ RUC11CD456 + north + south + fp(prcnt_nonwhite, df = 4, select = 0.01) + fp(income_ave_score, df = 4, select = 0.01) + fp(employ_ave_score, df = 4, select = 0.01) + fp(educ_ave_score, df = 4, select = 0.01) + fp(barriers_ave_score, df = 4, select = 0.01) + fp(living_ave_score, df = 4, select = 0.01) + fp(crime_ave_score, df = 4, select = 0.01) + fp(o75_prcnt, df = 4, select = 0.01) + fp(qof_hyp, df = 4, select = 0.01) + fp(qof_copd, df = 4, select = 0.01) + fp(qof_dm, df = 4, select = 0.01) +  fp(qof_smi, df = 4, select = 0.01) + fp(qof_dep, df = 4, select = 0.01) + fp(prnct_mhsu_mha, df = 4, select = 0.01) + fp(pcnt_popo18_mhsds, df = 4, select = 0.01) + fp(iapt_firsttx6wks_av1718, df = 4, select = 0.01) + fp(iapt_accessrate1718, df = 4, select = 0.01) + fp(prcnt_gpsinglehand, df = 4, select = 0.01) + fp(gp_p100000, df = 4, select = 0.01) + fp(prcnt_48hrsseegpnurse, df = 4, select = 0.01) + fp(prcnt_noappt, df = 4, select = 0.01) + fp(admission_gp_pcnt, df = 4, select = 0.01) + fp(aeattendrate_av1618, df = 4, select = 0.01) +  fp(mhactualspendccgalloc_1718, df = 4, select = 0.01) + fp(prcnt_mhsu_pop_CPA, df = 4, select = 0.01) + fp(prnct_CPA_employ , df = 4, select = 0.01) + fp(prcnt_acutadmit_crht_av1718, df = 4, select = 0.01) + fp(QOFpc, df = 4, select = 0.01) + fp(nhs111_ambdesp_rate, df = 4, select = 0.01) + fp(nhs111_rec_ae_rate, df = 4, select = 0.01) + fp(f2fresp_nottyp1_2_ave_apr17_mar1, df = 4, select = 0.01) + fp(prcnt_coreccg_aeliaisactual_1718, df = 4, select = 0.01) + fp(prcnt_crhttactualspend_1718, df = 4, select = 0.01) + fp(prcnt_eipactualspend_1718, df = 4, select = 0.01) + fp(prcnt_cpa_7days_av1718, df = 4, select = 0.01), family = gaussian, data = xyfin2)

summary(NoMHphys_fp_all)
# no transformation identified (at select = 0.01)